Categories:
  - Internet
License: GPL-2.0-only
WebSite: https://nextcloud.com
SourceCode: https://github.com/nextcloud/android
IssueTracker: https://github.com/nextcloud/android/issues
Changelog: https://github.com/nextcloud/android/blob/HEAD/CHANGELOG.md
Donate: https://www.bountysource.com/teams/nextcloud

AutoName: Nextcloud
Description: |-
    A safe home for all your data. Access & share your files, calendars, contacts,
    mail & more from any device, on your terms. This is the official Android app.

    '''Features:'''

    * Easy, modern interface
    * Upload your files to your Nextcloud server
    * Share your files with others
    * Keep your favorite files and folders synced
    * Instant Upload for photos and videos taken by your device
    * Multi-account support

RepoType: git
Repo: https://github.com/nextcloud/android.git

Builds:
  - versionName: 1.0.0
    versionCode: 10000000
    commit: stable-1.0.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.0.1
    versionCode: 10000100
    commit: stable-1.0.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.1.0
    versionCode: 10010099
    commit: stable-1.1.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.2.0 RC2
    versionCode: 10020002
    disable: obsolete RC
    commit: rc-1.2.0-02
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.2.0
    versionCode: 10020099
    commit: stable-1.2.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.3.0 RC1
    versionCode: 10030001
    disable: obsolete RC
    commit: rc-1.3.0-01
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.3.0 RC2
    versionCode: 10030002
    disable: obsolete RC
    commit: rc-1.3.0-02
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.3.0
    versionCode: 10030099
    commit: stable-1.3.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.3.1
    versionCode: 10030199
    commit: stable-1.3.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.4.0 RC1
    versionCode: 10040001
    disable: obsolete RC
    commit: rc-1.4.0-01
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.4.0 RC2
    versionCode: 10040002
    disable: obsolete RC
    commit: rc-1.4.0-02
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.4.0
    versionCode: 10040099
    commit: stable-1.4.0
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.4.1 RC1
    versionCode: 10040101
    disable: obsolete RC
    commit: rc-1.4.1-01
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.4.1 RC2
    versionCode: 10040102
    disable: obsolete RC
    commit: rc-1.4.1-02
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.4.1
    versionCode: 10040199
    commit: stable-1.4.1
    submodules: true
    gradle:
      - yes
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 1.4.2
    versionCode: 10040299
    commit: stable-1.4.3
    submodules: true
    gradle:
      - generic
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 2.0.0RC5
    versionCode: 20000005
    disable: obsolete RC
    commit: rc-2.0.0-05
    submodules: true
    gradle:
      - generic
    output: build/outputs/apk/generic/release/com.nextcloud.client-generic-release-unsigned.apk
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 2.0.0RC6
    versionCode: 20000006
    disable: obsolete RC
    commit: rc-2.0.0-06
    submodules: true
    gradle:
      - generic
    output: build/outputs/apk/generic/release/com.nextcloud.client-generic-release-unsigned.apk
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 2.0.0RC7
    versionCode: 20000007
    disable: obsolete RC
    commit: rc-2.0.0-07
    submodules: true
    gradle:
      - generic
    output: build/outputs/apk/generic/release/com.nextcloud.client-generic-release-unsigned.apk
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 2.0.0RC8
    versionCode: 20000008
    disable: obsolete RC
    commit: rc-2.0.0-08
    submodules: true
    gradle:
      - generic
    output: build/outputs/apk/generic/release/com.nextcloud.client-generic-release-unsigned.apk
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 2.0.0RC9
    versionCode: 20000009
    disable: obsolete RC
    commit: rc-2.0.0-09
    submodules: true
    gradle:
      - generic
    output: build/outputs/apk/generic/release/com.nextcloud.client-generic-release-unsigned.apk
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 2.0.0
    versionCode: 20000099
    commit: stable-2.0.0
    submodules: true
    gradle:
      - generic
    output: build/outputs/apk/generic/release/com.nextcloud.client-generic-release-unsigned.apk
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 2.0.1
    versionCode: 20000199
    commit: stable-2.0.1
    submodules: true
    gradle:
      - generic
    output: build/outputs/apk/generic/release/com.nextcloud.client-generic-release-unsigned.apk
    rm:
      - libs/disklrucache*
      - user_manual

  - versionName: 3.0.0 RC1
    versionCode: 30000001
    disable: obsolete RC
    commit: rc-3.0.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.0.0 RC2
    versionCode: 30000002
    disable: obsolete RC
    commit: rc-3.0.0-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.0.0 RC3
    versionCode: 30000003
    disable: obsolete RC
    commit: rc-3.0.0-03
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.0.0
    versionCode: 30000099
    commit: stable-3.0.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.0.1
    versionCode: 30000199
    commit: stable-3.0.1
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.0.2
    versionCode: 30000299
    commit: stable-3.0.2
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.0.3
    versionCode: 30000399
    commit: stable-3.0.3
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.1.0 RC1
    versionCode: 30010050
    disable: obsolete RC
    commit: rc-3.1.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.1.0
    versionCode: 30010099
    commit: stable-3.1.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.2.0 RC1
    versionCode: 30020050
    disable: obsolete RC
    commit: rc-3.2.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.2.0 RC2
    versionCode: 30020051
    disable: obsolete RC
    commit: rc-3.2.0-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.2.0
    versionCode: 30020099
    commit: stable-3.2.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.2.1
    versionCode: 30020199
    commit: stable-3.2.1
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.2.3
    versionCode: 30020399
    commit: stable-3.2.3
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
    scandelete:
      - src/androidTest

  - versionName: 3.3.0 RC1
    versionCode: 30030050
    disable: obsolete RC
    commit: rc-3.3.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.3.0 RC2
    versionCode: 30030051
    disable: obsolete RC
    commit: rc-3.3.0-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.3.0 RC3
    versionCode: 30030052
    disable: obsolete RC
    commit: rc-3.3.0-03
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.3.0
    versionCode: 30030099
    commit: stable-3.3.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.3.1 RC2
    versionCode: 30030151
    disable: obsolete RC
    commit: rc-3.3.1-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.3.1
    versionCode: 30030199
    commit: stable-3.3.1
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.3.2
    versionCode: 30030299
    commit: stable-3.3.2
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.4.0 RC1
    versionCode: 30040051
    disable: obsolete RC
    commit: rc-3.4.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.4.0 RC3
    versionCode: 30040053
    disable: obsolete RC
    commit: rc-3.4.0-03
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.4.0
    versionCode: 30040090
    commit: stable-3.4.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.4.1
    versionCode: 30040190
    commit: stable-3.4.1
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.4.2 RC2
    versionCode: 30040252
    disable: obsolete RC
    commit: rc-3.4.2-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.4.2
    versionCode: 30040290
    commit: stable-3.4.2
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.5.0 RC1
    versionCode: 30050051
    disable: obsolete RC
    commit: rc-3.5.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.5.0 RC2
    versionCode: 30050052
    disable: obsolete RC
    commit: rc-3.5.0-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.5.0 RC3
    versionCode: 30050053
    disable: obsolete RC
    commit: rc-3.5.0-03
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.5.0 RC4
    versionCode: 30050054
    disable: obsolete RC
    commit: rc-3.5.0-04
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.5.0
    versionCode: 30050090
    commit: stable-3.5.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.5.1 RC1
    versionCode: 30050151
    disable: obsolete RC
    commit: rc-3.5.1-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.5.1
    versionCode: 30050190
    commit: stable-3.5.1
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.0 RC1
    versionCode: 30060051
    disable: obsolete RC
    commit: rc-3.6.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.0 RC2
    versionCode: 30060052
    disable: obsolete RC
    commit: rc-3.6.0-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.0 RC3
    versionCode: 30060053
    disable: obsolete RC
    commit: rc-3.6.0-03
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.0
    versionCode: 30060090
    commit: stable-3.6.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.1 RC1
    versionCode: 30060151
    disable: obsolete RC
    commit: rc-3.6.1-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.1 RC2
    versionCode: 30060152
    disable: obsolete RC
    commit: rc-3.6.1-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.1
    versionCode: 30060190
    commit: stable-3.6.1
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.2 RC1
    versionCode: 30060251
    disable: obsolete RC
    commit: rc-3.6.2-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.6.2
    versionCode: 30060290
    commit: stable-3.6.2
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.7.0 RC1
    versionCode: 30070051
    disable: obsolete RC
    commit: rc-3.7.0-01
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.7.0 RC2
    versionCode: 30070052
    disable: obsolete RC
    commit: rc-3.7.0-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.7.0 RC3
    versionCode: 30070053
    disable: obsolete RC
    commit: rc-3.7.0-03
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.7.0 RC4
    versionCode: 30070054
    disable: obsolete RC
    commit: rc-3.7.0-04
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.7.0
    versionCode: 30070090
    commit: stable-3.7.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.7.1
    versionCode: 30070190
    commit: stable-3.7.1
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.7.2
    versionCode: 30070290
    commit: stable-3.7.2
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.8.0 RC2
    versionCode: 30080052
    disable: obsolete RC
    commit: rc-3.8.0-02
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.8.0 RC3
    versionCode: 30080053
    disable: obsolete RC
    commit: rc-3.8.0-03
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.8.0 RC5
    versionCode: 30080055
    disable: obsolete RC
    commit: rc-3.8.0-05
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

  - versionName: 3.8.0
    versionCode: 30080090
    commit: stable-3.8.0
    submodules: true
    gradle:
      - generic
    rm:
      - user_manual
      - gplay.gradle
    scandelete:
      - src/androidTest

MaintainerNotes: 'Latest 3 stable version will be kept, RC versions will be directly
    outdated by either a new RC or by a stable version: 3.3.0 RC1 -> 3.3.0 RC2 ->
    3.3.0 (stable)'

AutoUpdateMode: Version stable-%v
UpdateCheckMode: Static
CurrentVersion: 3.8.0
CurrentVersionCode: 30080090
